<?php
/*------------------------------------------------------------------------
# productadvisor.php - Product advisor Component
# ------------------------------------------------------------------------
# author    Matthias Drobny, drobny.iT
# copyright Copyright (C) 2014. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   www.drobny.it
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// Set the component css/js
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_productadvisor/assets/css/productadvisor.css');
// Require helper file
JLoader::register('ProductadvisorHelper', dirname(__FILE__) . DS . 'helpers' . DS . 'productadvisor.php');
JLoader::register('ProductadvisorCategoryHelper', JPATH_ADMINISTRATOR.DS.'components/com_productadvisor/helpers/category.php');
JLoader::register('ProductadvisorModelProductattributesList', JPATH_ADMINISTRATOR.DS.'components/com_productadvisor/models/productattributeslist.php');

JLoader::register('CMPTDistributionHelper', dirname(__FILE__) . DS . 'helpers' . DS . 'cmptdistribution.php');
CMPTDistributionHelper::add('com_productadvisor');

// import joomla controller library
jimport('joomla.application.component.controller');

// Get an instance of the controller prefixed by Productadvisor
$controller = JController::getInstance('Productadvisor');

// Perform the request task
$controller->execute(JRequest::getCmd('task'));

// Redirect if set by the controller
$controller->redirect();
?>